update git hook (pre-push)

main
Dominic Reich 5 months ago
parent 9f9b9fbe67
commit 114e26ab67
Signed by: dominic
GPG Key ID: BC9D6AE1A3BE169A

@ -36,7 +36,7 @@ command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configure
git lfs pre-push "$@" git lfs pre-push "$@"
echo " Done!" echo " Done!"
echo -n ">>> Pushing files to server..." echo -n ">>> Pushing files to *bor* (old server)..."
ret="$(rsync --no-motd -acvhz --stats --del public/ bor:/var/www/sites/oe7drt/ > /dev/null 2>&1)" ret="$(rsync --no-motd -acvhz --stats --del public/ bor:/var/www/sites/oe7drt/ > /dev/null 2>&1)"
@ -44,7 +44,20 @@ if [ "$?" -eq "0" ] ; then
echo " Success!" echo " Success!"
else else
echo " *** FAILED ***" echo " *** FAILED ***"
echo "Could not sync files to webserver (rsync). Aborting..." echo "Could not sync files to *bor* (rsync). Aborting..."
clean_up
exit 1
fi
echo -n ">>> Pushing files to *celeste* (new server)..."
ret="$(rsync --no-motd -acvhz --stats --del public/ celeste:/srv/sites/oe7drt/ > /dev/null 2>&1)"
if [ "$?" -eq "0" ] ; then
echo " Success!"
else
echo " *** FAILED ***"
echo "Could not sync files to *celeste* (rsync). Aborting..."
clean_up clean_up
exit 1 exit 1
fi fi

Loading…
Cancel
Save